profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API 概要getウェブサイトを CMS API に接続するgetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostCSV 投稿patchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components

ウェブサイトのカスタムコンポーネント(コンテンツタイプスキーマ)のサマリーを一覧表示します。

ウェブサイトのカスタムコンポーネント(コンテンツタイプスキーマ)のサマリーを名前順に一覧表示します。ユーザー定義のカスタムスキーマのみが返されます。

認証: APIキー(x-api-key ヘッダーまたは api_key クエリパラメーター)。

クエリパラメーター

パラメーター型必須備考
websiteIduuidはい有効なUUIDである必要があります。このエンドポイントでは Host/config のフォールバックはありません。
statestringいいえライフサイクル状態でフィルタリングします: draft、active、archived。
api_keystringいいえx-api-key ヘッダーの代替。

レスポンス

コンポーネントサマリーのJSON配列:

[
  {
    "id": "...",
    "name": "post",
    "displayName": "投稿",
    "description": "ドキュメント用の投稿",
    "category": "Custom",
    "tags": [],
    "fields": [],
    "icon": null,
    "source": "custom",
    "version": 8,
    "routeSlugField": "title"
  }
]

source は常に "custom" です。displayName は未設定の場合に name を使用し、category は未設定の場合に "Custom" を既定値とします。

例

curl '{CMS_API_URL}/components?websiteId=<uuid>&state=active' \
  -H 'x-api-key: <key>'

エラー

  • 400 — websiteId が不足しているか無効です
  • 401 — APIキーが無効です
Continue Reading
Previous‹GET /blocks/generatedNextGET /components/{name}›